Okta Privileged Access
/- Retrieve project password policy for server accounts
List all projects in a resource group
Create a project in a resource group
Retrieve a project from a resource group
Update a project in a resource group
Delete a project from a resource group
List all Active Directory accounts in a project
Retrieve the checkout settings for an Active Directory account resource group project
Update the checkout settings for an Active Directory account resource group project
Retrieve a project password policy for Active Directory resources
Update a project password policy for Active Directory resources
Cancel pending password rotations in bulk for a project
Rotate resource passwords in bulk for a project
List all resources checked out in a project
Check in a resource
List all database accounts in a project
Retrieve database checkout settings for a project
Update the database checkout settings for a project
Retrieve a project password policy for database resources
Update a project password policy for database resources
Retrieve the checkout settings for a Universal Directory resource group project
Update the checkout settings for a Universal Directory resource group project
Retrieve a project password policy for Universal Directory resources
Update a project password policy for Universal Directory resources
Rotate the password for a given resource in a project
Retrieve the checkout settings for a SaaS app resource group project
Update the checkout settings for a SaaS app resource group project
Retrieve a project password policy for SaaS app resources
Update a project password policy for SaaS app resources
List all server accounts in a project
Retrieve a server account
Retrieve the checkout settings for a server resource group project
Update the checkout settings for a server resource group project
List all server enrollment tokens in a project
Create a server enrollment token
Retrieve a server enrollment token
Delete a server enrollment token
Update project password policy for server accounts
List all server accounts for a server
Import the resource password in a project
Retrieve project password...
OPA roles:
- resource_admin
- delegated_resource_admin
Retrieves a password policy for a project in a resource group
Security
bearerAuth
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/server_password_settings
curl -i -X GET \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/server_password_settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'OK
If true, the initial password rotation is enabled for discovered server accounts that OPA manages
Default:true
If true, rotates account passwords after a period of time has passed. You must also set the periodic_rotation_duration_in_seconds parameter.
An array of managed accounts for password rotation
A timestamp indicating when the password policy was last modified
Response
{ "character_options": { "upper_case": true, "lower_case": true, "digits": true, "punctuation": true, "exclude_certain_symbols": [ … ], "exclude_certain_characters": [ … ] }, "enable_initial_server_account_password_rotation": true, "enable_periodic_rotation": true, "managed_privileged_accounts_config": [ "string" ], "max_length_in_bytes": 0, "min_length_in_bytes": 0, "modified_at": "2019-08-24T14:15:22Z", "periodic_rotation_duration_in_seconds": 0 }